/*
 * Copyright 2015 Rockchip Electronics Co. LTD
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifdef RKPLATFORM
#include <dlfcn.h>
#endif

#include "mpp_runtime.h"

static func_mmap64 mpp_rt_mmap64 = NULL;

func_mmap64 mpp_rt_get_mmap64()
{
#ifdef RKPLATFORM
    static RK_U32 once = 1;

    if (once) {
        void *libc_hdl = dlopen("libc", RTLD_LAZY);
        if (libc_hdl) {
            mpp_rt_mmap64 = (func_mmap64)dlsym(libc_hdl, "mmap64");
            dlclose(libc_hdl);
        }

        once = 0;
    }
#endif

    return mpp_rt_mmap64;
}

